Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1
Class ProviderNodeHandler

    java.lang.Object
      |
      +--oracle.portal.utils.xml.v1.DefaultNodeHandler
            |
            +--oracle.portal.provider.v1.ProviderNodeHandler

public class ProviderNodeHandler
extends DefaultNodeHandler

This class contains methods for processing an XML provider registry. The main entry point is processNode which recursively processes the XML nodes in the XML document.

Constructor Summary
`ProviderNodeHandler()`

Method Summary
`void` | `invokePreInitialize(java.lang.Object o, java.lang.Object parent)` Performs any steps required to initialize an application object after it has been created, perhaps relating the new object to its parent.

Methods inherited from class oracle.portal.utils.xml.v1.DefaultNodeHandler
`getApplicationObjectForElement, getHandlerForElement, handleSimpleElement, invokePostInitialize, processNode`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProviderNodeHandler

    public ProviderNodeHandler()

Method Detail

### invokePreInitialize

    public void invokePreInitialize(java.lang.Object o,
                                    java.lang.Object parent)
                             throws NodeHandlerException

  Description copied from class: DefaultNodeHandler
  Performs any steps required to initialize an application object after it has been created, perhaps relating the new object to its parent. In this default implementation, the method simply calls the object's `preInitialize` method with the parent object as an argument, if it implements `InitializableXMLObject`. Users should override if there are further actions to be performed on their application objects.
  Overrides:
    invokePreInitialize in class DefaultNodeHandler
  Tags copied from class: DefaultNodeHandler
  Parameters:
    `o` - the application object to be initialized
    `parent` - the application object that will become this object's parent
  Throws:
    NodeHandlerException - if an error occurs while initializing the application object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD